# Uses of Interface
org.eclipse.swt.dnd.DragSourceListener

Packages that use DragSourceListener
Package
Description
org.eclipse.swt.dnd

## Uses of DragSourceListener in org.eclipse.swt.dnd

Methods in org.eclipse.swt.dnd that return DragSourceListener
Modifier and Type
Method
Description
`DragSourceListener[]`
DragSource.`getDragListeners()`
Returns an array of listeners who will be notified when a drag and drop operation is in progress, by sending it one of the messages defined in the `DragSourceListener` interface.
Methods in org.eclipse.swt.dnd with parameters of type DragSourceListener
Modifier and Type
Method
Description
`void`
DragSource.`addDragListener(DragSourceListener listener)`
Adds the listener to the collection of listeners who will be notified when a drag and drop operation is in progress, by sending it one of the messages defined in the `DragSourceListener` interface.
`void`
DragSource.`removeDragListener(DragSourceListener listener)`
Removes the listener from the collection of listeners who will be notified when a drag and drop operation is in progress.